public abstract class Drzewo {
    protected String gatunek;
    protected int wiek;

    Drzewo(String gatunek, int wiek) {
        this.gatunek = gatunek;
        this.wiek = wiek;
    }

    // metoda abstrakcyjna, bo to co ona robi zalezy od klasy dziedziczacej
    // i nie ma potrzeby odgornie wypelniac metody
    public abstract void zrzucLiscie() throws NieMoznaZrzucicException;

    @Override
    public String toString() {
        return this.gatunek + ";" + this.wiek;
    }

    public int getWiek() {
        return wiek;
    }

    public void setWiek(int wiek) {
        this.wiek = wiek;
    }

    public String getGatunek() {
        return gatunek;
    }
}
